/**
  * 房
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admestatelist: params => { // 楼盘列表接口
    return getRequest('/adm/estate/list', params)
  },
  admestateadd: params => { // 楼盘添加
    return getRequestNoSort('/adm/estate/add', params, 'loading')
  },
  admestateedit: params => { // 楼盘编辑
    return getRequestNoSort('/adm/estate/edit', params, 'loading')
  },
  admestatedetail: params => { // 楼盘详情
    return getRequestNoSort('/adm/estate/detail', params, 'loading')
  },
  admestatedel: params => { // 楼盘删除
    return getRequestNoSort('/adm/estate/del', params, 'loading')
  },
  admoldhouselist: params => { // 二手房列表接口
    return getRequest('/adm/oldhouse/list', params)
  },
  admoldhouseadd: params => { // 二手房添加
    return getRequestNoSort('/adm/oldhouse/add', params, 'loading')
  },
  admoldhouseedit: params => { // 二手房编辑
    return getRequestNoSort('/adm/oldhouse/edit', params, 'loading')
  },
  admoldhousedetail: params => { // 二手房详情
    return getRequestNoSort('/adm/oldhouse/detail', params, 'loading')
  },
  admoldhousedel: params => { // 二手房删除
    return getRequestNoSort('/adm/oldhouse/del', params, 'loading')
  },
  admestatemodulelist: params => { // 模块主题列表接口
    return getRequest('/adm/estate/module/list', params)
  },
  admestatemoduleadd: params => { // 模块主题添加
    return getRequestNoSort('/adm/estate/module/add', params, 'loading')
  },
  admestatemoduleedit: params => { // 模块主题编辑
    return getRequestNoSort('/adm/estate/module/edit', params, 'loading')
  },
  admestatemoduledetail: params => { // 模块主题详情
    return getRequestNoSort('/adm/estate/module/detail', params, 'loading')
  },
  admestatemoduledel: params => { // 模块主题删除
    return getRequestNoSort('/adm/estate/module/del', params, 'loading')
  },
  admschoollist: params => { // 学校列表接口
    return getRequest('/adm/school/list', params)
  },
  admschooladd: params => { // 学校添加
    return getRequestNoSort('/adm/school/add', params, 'loading')
  },
  admschooledit: params => { // 学校编辑
    return getRequestNoSort('/adm/school/edit', params, 'loading')
  },
  admschooldetail: params => { // 学校详情
    return getRequestNoSort('/adm/school/detail', params, 'loading')
  },
  admschooldel: params => { // 学校删除
    return getRequestNoSort('/adm/school/del', params, 'loading')
  },
  adminformationlist: params => { // 洪楼文章列表接口
    return getRequest('/adm/information/list', params)
  },
  adminformationadd: params => { // 洪楼文章添加
    return getRequestNoSort('/adm/information/add', params, 'loading')
  },
  adminformationedit: params => { // 洪楼文章编辑
    return getRequestNoSort('/adm/information/edit', params, 'loading')
  },
  adminformationdetail: params => { // 洪楼文章详情
    return getRequestNoSort('/adm/information/detail', params, 'loading')
  },
  adminformationdel: params => { // 洪楼文章删除
    return getRequestNoSort('/adm/information/del', params, 'loading')
  },
}
